import { ChainName, WormholeMessageId, ChainsConfig, Network, ProtocolName, TokenBridge, WormholeCore } from '@wormhole-foundation/connect-sdk';
import { SolanaChain } from './chain';
import { SolanaUtils } from './platformUtils';
import { Commitment, Connection } from '@solana/web3.js';
/**
 * @category Solana
 */
export declare module SolanaPlatform {
    const platform = "Solana";
    type Type = typeof platform;
    let network: Network;
    let conf: ChainsConfig;
    const nativeTokenId: typeof SolanaUtils.nativeTokenId, isNativeTokenId: typeof SolanaUtils.isNativeTokenId, isSupportedChain: typeof SolanaUtils.isSupportedChain, getDecimals: typeof SolanaUtils.getDecimals, getBalance: typeof SolanaUtils.getBalance, getBalances: typeof SolanaUtils.getBalances, sendWait: typeof SolanaUtils.sendWait, getCurrentBlock: typeof SolanaUtils.getCurrentBlock, chainFromChainId: typeof SolanaUtils.chainFromChainId, chainFromRpc: typeof SolanaUtils.chainFromRpc;
    function setConfig(_network: Network, _conf?: ChainsConfig): typeof SolanaPlatform;
    function getRpc(chain: ChainName, commitment?: Commitment): Connection;
    function getChain(chain: ChainName): SolanaChain;
    function getProtocol<P extends ProtocolName>(protocol: P): Promise<any>;
    function getWormholeCore(rpc: Connection): Promise<WormholeCore<'Solana'>>;
    function getTokenBridge(rpc: Connection): Promise<TokenBridge<'Solana'>>;
    function parseTransaction(chain: ChainName, rpc: Connection, tx: string): Promise<WormholeMessageId[]>;
}
//# sourceMappingURL=platform.d.ts.map