import { ChainName, TokenId, TxHash, SignedTx, RpcConnection, Network, PlatformToChains, Balances } from '@wormhole-foundation/connect-sdk';
import { Connection } from '@solana/web3.js';
import { SolanaPlatform } from './platform';
import { AnySolanaAddress } from './types';
/**
 * @category Solana
 */
export declare module SolanaUtils {
    function nativeTokenId(chain: ChainName): TokenId;
    function isSupportedChain(chain: ChainName): boolean;
    function isNativeTokenId(chain: ChainName, tokenId: TokenId): boolean;
    function getDecimals(chain: ChainName, rpc: Connection, token: AnySolanaAddress | 'native'): Promise<bigint>;
    function getBalance(chain: ChainName, rpc: Connection, walletAddress: string, token: AnySolanaAddress | 'native'): Promise<bigint | null>;
    function getBalances(chain: ChainName, rpc: Connection, walletAddress: string, tokens: (AnySolanaAddress | 'native')[]): Promise<Balances>;
    function sendWait(chain: ChainName, rpc: Connection, stxns: SignedTx[]): Promise<TxHash[]>;
    function getCurrentBlock(rpc: Connection): Promise<number>;
    function chainFromChainId(genesisHash: string): [Network, PlatformToChains<SolanaPlatform.Type>];
    function chainFromRpc(rpc: RpcConnection<SolanaPlatform.Type>): Promise<[Network, PlatformToChains<SolanaPlatform.Type>]>;
}
//# sourceMappingURL=platformUtils.d.ts.map